com.genesyslab.wfm8.API.service.config812

## Class CfgRotationWeekDay

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config812.CfgRotationWeekDay

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgRotationWeekDay
      extends java.lang.Object
      implements java.io.Serializable

  A Day Pattern in a Week Pattern (CfgRotationWeek) that is part of a Rotating Patern (CfgRotation)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected java.util.List<java.lang.Integer>` | `wmActivities` An array of Activity IDs (`CfgActivity`) that are assigned to be worked on
    `protected int` | `wmActivitiesNSizeIs` Number of elements in the wmActivities array
    `protected int` | `wmDuration` Duration in minutes
    `protected int` | `wmPossibleDayOff` Day Off flag (`ECfgRotationDayOffRule`)
    `protected int` | `wmShiftId` Shift ID--identifies `CfgShift` object
    `protected double` | `wmStartTime` Start Time (`OleDateTime`)
    `protected int` | `wmStartTimeFlag` Start Time Flag (`ECfgRotationStartTimeFlag`)

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgRotationWeekDay()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.util.List<java.lang.Integer>` | `getWmActivities()` Gets the value of the wmActivities property.
    `int` | `getWmActivitiesNSizeIs()` Gets the value of the wmActivitiesNSizeIs property.
    `int` | `getWmDuration()` Gets the value of the wmDuration property.
    `int` | `getWmPossibleDayOff()` Gets the value of the wmPossibleDayOff property.
    `int` | `getWmShiftId()` Gets the value of the wmShiftId property.
    `double` | `getWmStartTime()` Gets the value of the wmStartTime property.
    `int` | `getWmStartTimeFlag()` Gets the value of the wmStartTimeFlag property.
    `int` | `hashCode()`
    `void` | `setWmActivities(java.util.List<java.lang.Integer> wmActivities)` Sets the value of the wmActivities property.
    `void` | `setWmActivitiesNSizeIs(int value)` Sets the value of the wmActivitiesNSizeIs property.
    `void` | `setWmDuration(int value)` Sets the value of the wmDuration property.
    `void` | `setWmPossibleDayOff(int value)` Sets the value of the wmPossibleDayOff property.
    `void` | `setWmShiftId(int value)` Sets the value of the wmShiftId property.
    `void` | `setWmStartTime(double value)` Sets the value of the wmStartTime property.
    `void` | `setWmStartTimeFlag(int value)` Sets the value of the wmStartTimeFlag property.
    `java.lang.String` | `toString()`
    `CfgRotationWeekDay` | `withWmActivities(java.util.Collection<java.lang.Integer> values)`
    `CfgRotationWeekDay` | `withWmActivities(java.lang.Integer... values)`
    `CfgRotationWeekDay` | `withWmActivitiesNSizeIs(int value)`
    `CfgRotationWeekDay` | `withWmDuration(int value)`
    `CfgRotationWeekDay` | `withWmPossibleDayOff(int value)`
    `CfgRotationWeekDay` | `withWmShiftId(int value)`
    `CfgRotationWeekDay` | `withWmStartTime(double value)`
    `CfgRotationWeekDay` | `withWmStartTimeFlag(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmShiftId

          protected int wmShiftId

      Shift ID--identifies `CfgShift` object

    - #### wmStartTime

          protected double wmStartTime

      Start Time (`OleDateTime`)

    - #### wmDuration

          protected int wmDuration

      Duration in minutes

    - #### wmStartTimeFlag

          protected int wmStartTimeFlag

      Start Time Flag (`ECfgRotationStartTimeFlag`)

    - #### wmPossibleDayOff

          protected int wmPossibleDayOff

      Day Off flag (`ECfgRotationDayOffRule`)

    - #### wmActivitiesNSizeIs

          protected int wmActivitiesNSizeIs

      Number of elements in the wmActivities array

    - #### wmActivities

          protected java.util.List<java.lang.Integer> wmActivities

      An array of Activity IDs (`CfgActivity`) that are assigned to be worked on

  - ### Constructor Detail

    - #### CfgRotationWeekDay

          public CfgRotationWeekDay()

  - ### Method Detail

    - #### getWmShiftId

          public int getWmShiftId()

      Gets the value of the wmShiftId property.

    - #### setWmShiftId

          public void setWmShiftId(int value)

      Sets the value of the wmShiftId property.

    - #### getWmStartTime

          public double getWmStartTime()

      Gets the value of the wmStartTime property.

    - #### setWmStartTime

          public void setWmStartTime(double value)

      Sets the value of the wmStartTime property.

    - #### getWmDuration

          public int getWmDuration()

      Gets the value of the wmDuration property.

    - #### setWmDuration

          public void setWmDuration(int value)

      Sets the value of the wmDuration property.

    - #### getWmStartTimeFlag

          public int getWmStartTimeFlag()

      Gets the value of the wmStartTimeFlag property.

    - #### setWmStartTimeFlag

          public void setWmStartTimeFlag(int value)

      Sets the value of the wmStartTimeFlag property.

    - #### getWmPossibleDayOff

          public int getWmPossibleDayOff()

      Gets the value of the wmPossibleDayOff property.

    - #### setWmPossibleDayOff

          public void setWmPossibleDayOff(int value)

      Sets the value of the wmPossibleDayOff property.

    - #### getWmActivitiesNSizeIs

          public int getWmActivitiesNSizeIs()

      Gets the value of the wmActivitiesNSizeIs property.

    - #### setWmActivitiesNSizeIs

          public void setWmActivitiesNSizeIs(int value)

      Sets the value of the wmActivitiesNSizeIs property.

    - #### getWmActivities

          public java.util.List<java.lang.Integer> getWmActivities()

      Gets the value of the wmActivities property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmActivities property.

      For example, to add a new item, do as follows:

              getWmActivities().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### withWmShiftId

          public CfgRotationWeekDay withWmShiftId(int value)

    - #### withWmStartTime

          public CfgRotationWeekDay withWmStartTime(double value)

    - #### withWmDuration

          public CfgRotationWeekDay withWmDuration(int value)

    - #### withWmStartTimeFlag

          public CfgRotationWeekDay withWmStartTimeFlag(int value)

    - #### withWmPossibleDayOff

          public CfgRotationWeekDay withWmPossibleDayOff(int value)

    - #### withWmActivitiesNSizeIs

          public CfgRotationWeekDay withWmActivitiesNSizeIs(int value)

    - #### withWmActivities

          public CfgRotationWeekDay withWmActivities(java.lang.Integer... values)

    - #### withWmActivities

          public CfgRotationWeekDay withWmActivities(java.util.Collection<java.lang.Integer> values)

    - #### setWmActivities

          public void setWmActivities(java.util.List<java.lang.Integer> wmActivities)

      Sets the value of the wmActivities property.
      Parameters:
        `wmActivities` - allowed object is `Integer`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.